net.sf.jasperreports.components.table

## Interface BaseColumn

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable, JRIdentifiable, JRPropertiesHolder
  All Known Subinterfaces:
    Column, ColumnGroup
  All Known Implementing Classes:
    StandardBaseColumn, StandardColumn, StandardColumnGroup

      public interface BaseColumn
      extends JRCloneable, JRPropertiesHolder, JRIdentifiable

  Version:
    $Id: BaseColumn.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Cell` | `getColumnFooter()`
    `Cell` | `getColumnHeader()`
    `Cell` | `getGroupFooter(java.lang.String groupName)`
    `java.util.List<GroupCell>` | `getGroupFooters()`
    `Cell` | `getGroupHeader(java.lang.String groupName)`
    `java.util.List<GroupCell>` | `getGroupHeaders()`
    `JRExpression` | `getPrintWhenExpression()`
    `JRPropertyExpression[]` | `getPropertyExpressions()`
    `Cell` | `getTableFooter()`
    `Cell` | `getTableHeader()`
    `java.lang.Integer` | `getWidth()`
    `<R> R` | `visitColumn(ColumnVisitor<R> visitor)`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

- - ### Method Detail

    - #### getPrintWhenExpression

          JRExpression getPrintWhenExpression()

    - #### getTableHeader

          Cell getTableHeader()

    - #### getTableFooter

          Cell getTableFooter()

    - #### getGroupHeaders

          java.util.List<GroupCell> getGroupHeaders()

    - #### getGroupHeader

          Cell getGroupHeader(java.lang.String groupName)

    - #### getGroupFooters

          java.util.List<GroupCell> getGroupFooters()

    - #### getGroupFooter

          Cell getGroupFooter(java.lang.String groupName)

    - #### getColumnHeader

          Cell getColumnHeader()

    - #### getColumnFooter

          Cell getColumnFooter()

    - #### getWidth

          java.lang.Integer getWidth()

    - #### visitColumn

          <R> R visitColumn(ColumnVisitor<R> visitor)

    - #### getPropertyExpressions

          JRPropertyExpression[] getPropertyExpressions()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com